Package org.apache.sysds.runtime.matrix.operators

# Class Operator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AggregateOperator`, `MultiThreadedOperator`, `QuaternaryOperator`, `SimpleOperator`

public class Operator extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`Operator()`
`Operator(boolean sparseSafeFlag)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sparseSafe

public final boolean sparseSafe

## Constructor Details

### Operator

public Operator()

### Operator

public Operator(boolean sparseSafeFlag)